USE COWS
GO

INSERT INTO dbo.LK_STUS_TYPE (STUS_TYPE_ID, STUS_TYPE_DES, CREAT_BY_USER_ID, CREAT_DT) VALUES ('BREDSGN', 'BPM Redesign', 1, GETDATE())
INSERT INTO dbo.LK_STUS (STUS_ID, STUS_TYPE_ID, STUS_DES, CREAT_BY_USER_ID, CREAT_DT) VALUES (261, 'BREDSGN', 'BPM Redesign Received', 1, GETDATE()) 
INSERT INTO dbo.LK_STUS (STUS_ID, STUS_TYPE_ID, STUS_DES, CREAT_BY_USER_ID, CREAT_DT) VALUES (262, 'BREDSGN', 'BPM Redesign Ack Sent', 1, GETDATE()) 
INSERT INTO dbo.LK_STUS (STUS_ID, STUS_TYPE_ID, STUS_DES, CREAT_BY_USER_ID, CREAT_DT) VALUES (263, 'BREDSGN', 'BPM Redesign Status Update', 1, GETDATE()) 
INSERT INTO dbo.LK_STUS (STUS_ID, STUS_TYPE_ID, STUS_DES, CREAT_BY_USER_ID, CREAT_DT) VALUES (264, 'BREDSGN', 'BPM Redesign Status Sent', 1, GETDATE()) 

USE COWS
GO

ALTER TABLE dbo.REDSGN
ADD [BPM_REDSGN_NBR] VARCHAR(50) NULL
GO

USE COWS
GO
CREATE TABLE [dbo].[BPM_REDSN_TXN](
	[ID] [int] IDENTITY(1,1) NOT FOR REPLICATION NOT NULL,
	[REDSGN_ID] [INT] NOT NULL,
	[BPM_DATA_TXT] [varchar](max) NULL,
	[REDSGN_NOTES_ID] [int] NOT NULL,
	[REC_STUS_ID] [smallint] NOT NULL CONSTRAINT [DF_RECSTUSID_BPM_REDSN_TXN_1] DEFAULT ((261)), 
	[CREAT_BY_USER_ID] [int] NOT NULL,
	[MODFD_BY_USER_ID] [int] NULL,
	[CREAT_DT] [datetime] NOT NULL CONSTRAINT [DF_getdate_BPM_REDSN_TXN_1] DEFAULT  getdate(),
	[MODFD_DT] [datetime] NULL,
 CONSTRAINT [PK_BPM_REDSN_TXN] PRIMARY KEY CLUSTERED 
(
	[ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]) ON [PRIMARY]
GO


ALTER TABLE [dbo].[BPM_REDSN_TXN]  WITH CHECK ADD  CONSTRAINT [FK01_BPM_REDSN_TXN] FOREIGN KEY([REDSGN_ID])
REFERENCES [dbo].[REDSGN] ([REDSGN_ID])
GO

ALTER TABLE [dbo].[BPM_REDSN_TXN] CHECK CONSTRAINT [FK01_BPM_REDSN_TXN]
GO

ALTER TABLE [dbo].[BPM_REDSN_TXN]  WITH CHECK ADD  CONSTRAINT [FK02_BPM_REDSN_TXN] FOREIGN KEY([REDSGN_NOTES_ID])
REFERENCES [dbo].[REDSGN_NOTES] ([REDSGN_NOTES_ID])
GO

ALTER TABLE [dbo].[BPM_REDSN_TXN] CHECK CONSTRAINT [FK02_BPM_REDSN_TXN]
GO

ALTER TABLE [dbo].[BPM_REDSN_TXN]  WITH NOCHECK ADD  CONSTRAINT [FK03_BPM_REDSN_TXN] FOREIGN KEY([REC_STUS_ID])
REFERENCES [dbo].[LK_STUS] ([STUS_ID])
GO

ALTER TABLE [dbo].[BPM_REDSN_TXN] CHECK CONSTRAINT [FK03_BPM_REDSN_TXN]
GO

ALTER TABLE [dbo].[BPM_REDSN_TXN]  WITH NOCHECK ADD  CONSTRAINT [FK04_BPM_REDSN_TXN] FOREIGN KEY([MODFD_BY_USER_ID])
REFERENCES [dbo].[LK_USER] ([USER_ID])
GO

ALTER TABLE [dbo].[BPM_REDSN_TXN] CHECK CONSTRAINT [FK04_BPM_REDSN_TXN]
GO

ALTER TABLE [dbo].[BPM_REDSN_TXN]  WITH NOCHECK ADD  CONSTRAINT [FK05_BPM_REDSN_TXN] FOREIGN KEY([CREAT_BY_USER_ID])
REFERENCES [dbo].[LK_USER] ([USER_ID])
GO

ALTER TABLE [dbo].[BPM_REDSN_TXN] CHECK CONSTRAINT [FK05_BPM_REDSN_TXN]
GO

CREATE NONCLUSTERED INDEX [IX01_BPM_REDSN_TXN] ON [dbo].[BPM_REDSN_TXN]
(
	[REDSGN_ID]
)
WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, SORT_IN_TEMPDB = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
GO

CREATE NONCLUSTERED INDEX [IX02_BPM_REDSN_TXN] ON [dbo].[BPM_REDSN_TXN]
(
	[REC_STUS_ID]
)
WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, SORT_IN_TEMPDB = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
GO